<?php

/**
 * Vvveb
 *
 * Copyright (C) 2022  Ziadin Givan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

/*
Name: File manager
Slug: file-manager
Category: tools
Url: https://www.vvveb.com
Description: File manager
Thumb: file-manager.svg
Author: givanz
Version: 0.1
Author url: http://www.vvveb.com
Settings: /admin/?module=plugins/file-manager/view
*/

use function Vvveb\__;
use Vvveb\System\Core\View;
use Vvveb\System\Event;

if (! defined('V_VERSION')) {
	die('Invalid request!');
}

class FileManagerPlugin {
	function admin() {
		// add admin menu item
		$admin_path = \Vvveb\adminPath();
		Event::on('Vvveb\Controller\Base', 'init-menu', __CLASS__, function ($menu) use ($admin_path) {
			$menuItem = [
				'name'     => __('File Manager'),
				'module'   => 'plugins/file-manager/view',
				'url'      => $admin_path . '?module=plugins/file-manager/view',
				//'icon-img' => PUBLIC_PATH . 'plugins/file-manager/file-manager.svg',
				'icon' => 'icon-folder-open-outline',
			];

			$menu['plugins']['items']['file-manager'] = $menuItem;
			$menu['file-manager-plugin'] = $menuItem;

			return [$menu];
		}, 20);
	}

	function __construct() {
		if (APP == 'admin') {
			$this->admin();
		}
	}
}

$fileManagerPlugin = new FileManagerPlugin();
